=== debian/changelog ===
purple-skypeweb (1.5-0.1~mx15+1) mx; urgency=medium

  * New upstream release; build for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Feb 2019 14:42:42 -0800

purple-skypeweb (1.4.0+git20180215-1~webupd8~xenial0) xenial; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Mon, 12 Mar 2018 12:53:14 +0200

purple-skypeweb (1.4.0+git20170824-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Thu, 24 Aug 2017 13:40:22 +0200

purple-skypeweb (1.4.0+git20170806-1~webupd8~zesty0) zesty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Mon, 07 Aug 2017 12:50:39 +0200

purple-skypeweb (1.4.0+git20170724-1~webupd8~zesty0) zesty; urgency=medium

  * New git pull
  * Bump version

 -- Alin Andrei <andrew@webupd8.org>  Wed, 02 Aug 2017 12:44:19 +0200

purple-skypeweb (1.4.0+git20170623-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull
  * Bump version

 -- Alin Andrei <andrew@webupd8.org>  Fri, 23 Jun 2017 14:41:29 +0200

purple-skypeweb (1.4.0+git20170619-1~webupd8~zesty0) zesty; urgency=medium

  * New git pull
  * Bump version

 -- Alin Andrei <andrew@webupd8.org>  Mon, 19 Jun 2017 12:53:39 +0200

purple-skypeweb (1.4.0+git20170502-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull
  * Bump version

 -- Alin Andrei <andrew@webupd8.org>  Tue, 02 May 2017 11:43:14 +0200

purple-skypeweb (1.3.0+git20170421-1~webupd8~zesty0) zesty; urgency=medium

  * New git pull

 -- Alin Andrei <webupd8@gmail.com>  Mon, 24 Apr 2017 13:06:23 +0200

purple-skypeweb (1.3.0+git20170419-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Wed, 19 Apr 2017 12:56:48 +0200

purple-skypeweb (1.3.0+git20170418-1~webupd8~zesty0) zesty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Tue, 18 Apr 2017 13:11:21 +0200

purple-skypeweb (1.3.0+git20170414-1~webupd8~trusty0) trusty; urgency=medium

  * Bump version
  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Wed, 12 Apr 2017 12:46:32 +0200

purple-skypeweb (1.2.2+git20170330-1~webupd8~zesty0) zesty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Thu, 30 Mar 2017 12:41:29 +0200

purple-skypeweb (1.2.2+git20170328-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Tue, 28 Mar 2017 12:14:39 +0200

purple-skypeweb (1.2.2+git20170317-1~webupd8~zesty0) zesty; urgency=medium

  * Upload for Zesty

 -- Alin Andrei <andrew@webupd8.org>  Mon, 20 Mar 2017 16:10:44 +0200

purple-skypeweb (1.2.2+git20170317-1~webupd8~yakkety0) yakkety; urgency=medium

  * New git pull
  * Fix installing theme file

 -- Alin Andrei <andrew@webupd8.org>  Fri, 17 Mar 2017 11:02:14 +0200

purple-skypeweb (1.2.2+git20170227-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Mon, 27 Feb 2017 11:25:54 +0200

purple-skypeweb (1.2.2+git20161215-1~webupd8~yakkety0) yakkety; urgency=medium

  * New git pull

 -- Alin Andrei <webupd8@gmail.com>  Thu, 15 Dec 2016 11:54:13 +0200

purple-skypeweb (1.2.2+git20161122-1~webupd8~yakkety0) yakkety; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Tue, 22 Nov 2016 12:57:15 +0200

purple-skypeweb (1.2.2+git20161026-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Wed, 26 Oct 2016 14:34:21 +0200

purple-skypeweb (1.2.2+git20161019-1~webupd8~yakkety0) yakkety; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Wed, 19 Oct 2016 12:11:32 +0200

purple-skypeweb (1.2.2+git20161017-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull
  * Bump version

 -- Alin Andrei <andrew@webupd8.org>  Mon, 17 Oct 2016 13:17:23 +0200

purple-skypeweb (1.2.1+git20161013-1~webupd8~yakkety0) yakkety; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Thu, 13 Oct 2016 14:54:19 +0200

purple-skypeweb (1.2.1+git20160810-1~webupd8~trusty0) trusty; urgency=medium

  * New git pull
  * Bump version

 -- Alin Andrei <andrew@webupd8.org>  Wed, 10 Aug 2016 13:38:20 +0200

purple-skypeweb (1.2+git20160721-1~webupd8~xenial0) xenial; urgency=medium

  * New git pull

 -- Alin Andrei <andrew@webupd8.org>  Thu, 21 Jul 2016 13:20:54 +0200

purple-skypeweb (1.2+git20160718-1~webupd8~trusty0) trusty; urgency=medium

  * Initial debianization

 -- Alin Andrei <andrew@webupd8.org>  Mon, 18 Jul 2016 12:20:17 +0200
