=== debian/control ===
Source: purple-skypeweb
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alin Andrei <andrew@webupd8.org>
Section: misc
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               libglib2.0-dev,
               libjson-glib-dev,
               libpurple-dev
Homepage: https://bitbucket.org/EionRobb/purple-hangouts

Package: purple-skypeweb
Architecture: any
Section: misc
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pidgin-skypeweb
Description: SkypeWeb Plugin for Pidgin
 Adds a "Skype (HTTP)" protocol to the accounts list of Pidgin, 
 Adium, Finch and other libpurple based messengers.

Package: pidgin-skypeweb
Architecture: all
Section: misc
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, purple-skypeweb
Replaces: pidgin-skype
Description: Hangouts icons for Pidgin
 Adds pixmaps for the Skype protocol implemented by 
 the purple-skypeweb package.
